=== books/cowles/Makefile ===
include ../Makefile-generic
-include Makefile-deps
