## acl2 4.1

=== books/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#; ACL2 Version 4.0 -- A Computational Logic for Applicative Common Lisp
+#; ACL2 Version 4.1 -- A Computational Logic for Applicative Common Lisp
 #; Copyright (C) 2010  University of Texas at Austin
 
 #; This version of ACL2 is a descendent of ACL2 Version 1.9, Copyright
@@ -55,7 +55,7 @@
 # We rely on DIRS3 being a subset of DIRS2 in the dependence of DIRS2 on
 # top-with-meta-cert.
 DIRS2_EXCEPT_WK_COI = ordinals data-structures bdd ihs arithmetic-2 arithmetic-3 arithmetic-5 \
-	misc models/jvm/m5 proofstyles rtl arithmetic-3/extra sorting make-event parallel hints \
+	misc models/jvm/m1 models/jvm/m5 proofstyles rtl arithmetic-3/extra sorting make-event parallel hints \
 	fix-cert finite-set-theory finite-set-theory/osets powerlists textbook \
 	defexec symbolic \
 	data-structures/memories unicode str concurrent-programs/bakery \
@@ -106,11 +106,12 @@
 quadratic-reciprocity: rtl
 misc/misc2: rtl make-event coi top-with-meta-cert
 hints: make-event
+models/jvm/m1: arithmetic-3/extra
 models/jvm/m5: top-with-meta-cert ordinals misc ihs
 # models/jvm/m5 is needed for paco/books, not paco
 paco: ihs ordinals top-with-meta-cert
 hacking: misc
-parallel: make-event
+parallel: make-event tools
 security: make-event arithmetic-3
 sorting: arithmetic-3/extra
 tools: arithmetic-5 misc
@@ -483,6 +484,3 @@
 	fi \
 	done
 	@$(MAKE) top-with-meta-sparcf
-	@for dir in $(DIRS2) ; \
-	do \
-	if [ -f $$dir/Makefile ]; then \
