=== debian/changelog ===
acl2 (4.1-5) unstable; urgency=low

  * build depend on latest gcl
  * turn off si::*optimize-maximum-pages* in reverse-by-separation.acl2
  * remove unnecessary patch from serialize-tests.lisp

 -- Camm Maguire <camm@debian.org>  Fri, 05 Nov 2010 16:19:11 +0000

acl2 (4.1-4) unstable; urgency=low

  * build dep on latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 27 Oct 2010 20:47:24 +0000

acl2 (4.1-3) unstable; urgency=low

  * build-dep latest gcl
  * Bug fix: "FTBFS on mips: Terminated", thanks to Cyril Brulebois
    (Closes: #599946).
  * Bug fix: "FTBFS on mipsel: Unrecoverable error: Segmentation
    violation..", thanks to Cyril Brulebois (Closes: #599998).

 -- Camm Maguire <camm@debian.org>  Wed, 20 Oct 2010 16:15:56 +0000

acl2 (4.1-2) unstable; urgency=low

  * build-dep latest gcl
  * Bug fix: "FTBFS (powerpc): ls: cannot access
    tiny.cert: No such file or directory", thanks to Philipp Kern (Closes:
    #597278).

 -- Camm Maguire <camm@debian.org>  Thu, 23 Sep 2010 12:44:54 +0000

acl2 (4.1-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Sun, 05 Sep 2010 00:27:43 +0000

acl2 (4.0-3) unstable; urgency=low

  * compile nats to avoid invocation stack overflow on #-native-reloc
    machines

 -- Camm Maguire <camm@debian.org>  Fri, 09 Jul 2010 13:00:12 +0000

acl2 (4.0-2) unstable; urgency=low

  * Work around absence of HOME in buildd environments.

 -- Camm Maguire <camm@debian.org>  Thu, 08 Jul 2010 16:14:04 +0000

acl2 (4.0-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 07 Jul 2010 21:49:46 +0000

acl2 (3.6.1-2) unstable; urgency=low

  * Bug fix: "acl2 depends on old / broken emacs22 package", thanks to
    Andreas Barth (Closes: #585405).
  * lintian fixes

 -- Camm Maguire <camm@debian.org>  Thu, 10 Jun 2010 14:09:37 +0000

acl2 (3.6.1-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Sun, 06 Jun 2010 19:58:55 +0000

acl2 (3.6-4) unstable; urgency=low

  * Bug fix: "FTBFS [hppa] - **CERTIFICATION FAILED** for ram2b.lisp",
    thanks to dann frazier (Closes: #564247).

 -- Camm Maguire <camm@debian.org>  Mon, 11 Jan 2010 17:44:36 +0000

acl2 (3.6-3) unstable; urgency=low

  * Bug fix: "FTBFS on kfreebsd-i386: /bin/sh: line 1: 42209 Segmentation
    fault gcl &lt; workxxx", thanks to Cyril Brulebois (Closes: #563604).

 -- Camm Maguire <camm@debian.org>  Mon, 04 Jan 2010 18:12:16 +0000

acl2 (3.6-2) unstable; urgency=low

  * Bug fix: "FTBFS [alpha, hppa] - getprop.cert: No such file or
    directory", thanks to dann frazier (Closes: #562207).  Build-depend on
    gcl >= 2.6.7-51.
  * Bug fix: "adds non-existent TAGS file to tag file list", thanks to
    Timo Juhani Lindfors (Closes: #505812).  Don't automatically load tags
    table.

 -- Camm Maguire <camm@debian.org>  Sun, 03 Jan 2010 13:26:38 +0000

acl2 (3.6-1) unstable; urgency=low

  * New upstream release

  [ Camm Maguire ]
  * Bug fix: "replacing libreadline5-dev build dependency with
    libreadline-dev", thanks to Matthias Klose (Closes: #553715).

 -- Camm Maguire <camm@debian.org>  Tue, 15 Dec 2009 03:53:25 +0000

acl2 (3.4-2) unstable; urgency=low

  * New maintainer address
  * sparc sgc workaround -- disable sgc here only

 -- Camm Maguire <camm@debian.org>  Mon, 23 Feb 2009 01:54:24 +0000

acl2 (3.4-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "acl2-status.txt should contain :INITIALIZED.", thanks to
    Lucas Nussbaum (Closes: #494328).  New release works around compiler
    issue.
  * Bug fix: "FTBFS when converted to new source format 3.0 (quilt)",
    thanks to hertzog@debian.org</a>; (Closes: #482594). patches ->
    dpatches

 -- Camm Maguire <camm@enhanced.com>  Sun, 24 Aug 2008 21:26:46 +0000

acl2 (3.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on time, so that it works with shells other than bash
    (Closes: #459060).

 -- Peter Eisentraut <petere@debian.org>  Sat, 05 Apr 2008 18:49:49 +0200

acl2 (3.3-1) unstable; urgency=low

  * New upstream release
  * build-dep on latest gcl to get arm build
  * Bug fix: "acl2&#39;s idea of the system book path is wrong", thanks to
    Sami Liedes (Closes: #440353). Apply suggested fix to wrapper script,
    Thanks!
  * Bug fix: "acl2-emacs: please prefer emacs22", thanks to Tatsuya
    Kinoshita (Closes: #434915). prefer emacs22
  * Bug fix: "acl2: not binNMU safe", thanks to Lior Kaplan (Closes:
    #430471). Apply suggested patch, Thanks!
  * build-dep texlive-latex-recommended

 -- Camm Maguire <camm@enhanced.com>  Mon, 03 Dec 2007 10:10:09 -0500

acl2 (3.2-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Thu, 17 May 2007 10:41:35 -0400

acl2 (3.1-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Mon,  4 Dec 2006 10:35:42 -0500

acl2 (3.0.1-8) unstable; urgency=low

  * Fix dlopen.lisp.in

 -- Camm Maguire <camm@enhanced.com>  Thu, 19 Oct 2006 12:52:10 -0400

acl2 (3.0.1-7) unstable; urgency=low

  * Build dep on libxmu-dev libxaw7-dev

 -- Camm Maguire <camm@enhanced.com>  Wed, 18 Oct 2006 16:36:26 -0400

acl2 (3.0.1-6) unstable; urgency=low

  * really change dlopen
  * build dep on gcl_2.6.7-27

 -- Camm Maguire <camm@enhanced.com>  Tue, 17 Oct 2006 18:19:47 -0400

acl2 (3.0.1-5) unstable; urgency=low

  * Add user::*fast-acl2-gcl-build* and user::*acl2-keep-tmp-files*
    parameters to dlopen following upstream
  * Build-Depend on gcl_2.6.7-26

 -- Camm Maguire <camm@enhanced.com>  Mon, 16 Oct 2006 18:05:05 -0400

acl2 (3.0.1-4) unstable; urgency=low

  * Build-Depend on gcl_2.6.7-25

 -- Camm Maguire <camm@enhanced.com>  Thu, 12 Oct 2006 14:41:53 -0400

acl2 (3.0.1-3) unstable; urgency=low

  * Build-Depend on gcl_2.6.7-23
  * Newer standards

 -- Camm Maguire <camm@enhanced.com>  Wed, 11 Oct 2006 11:09:29 -0400

acl2 (3.0.1-2) unstable; urgency=low

  * rebuild against newer gcl


