=== books/coi/adviser/Makefile ===
include ../../Makefile-generic
BOOKS = adviser adviser-pkg test
-include Makefile-deps

clean: clean-coi-extras

clean-coi-extras:
	rm -f Makefile.*
