=== books/coi/lists/Makefile ===
include ../../Makefile-generic
BOOKS = acl2-count basic memberp \
        repeat map-cons \
        nth-and-update-nth \
	list-top update-nth-array mixed \
	nth-meta nth-meta2 find-index \
	subsetp remove set remove-induction disjoint \
	listset-induction \
	mv-nth
-include Makefile-deps

clean: clean-coi-extras

clean-coi-extras:
	rm -f Makefile.*
