=== books/coi/syntax/Makefile ===
include ../../Makefile-generic
BOOKS = syn-pkg auxilary syntax-extensions defevaluator defbinding syntax quine
-include Makefile-deps

clean: clean-coi-extras

clean-coi-extras:
	rm -f Makefile.*
