=== debian/changelog ===
acl2 (4.2-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Fri, 13 May 2011 13:14:39 +0000
