=== debian/rules ===
--- 
+++ 
@@ -211,9 +211,9 @@
 	find books/bdd -name "bit-vector-reader.lsp" | awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/$(PD)/%s\n",$$1,a);}' >>$@
 
 debian/acl2-doc.install::
-	echo doc/HTML usr/share/doc/acl2-doc >$@
+#	echo doc/HTML usr/share/doc/acl2-doc >$@
 	find books -name "README*" | \
-		awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/doc/$(PN)-doc/%s\n",$$1,a);}' >>$@
+		awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/doc/$(PN)-doc/%s\n",$$1,a);}' >$@
 	find books/textbook -name "*.txt" | \
 		awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/doc/$(PN)-doc/%s\n",$$1,a);}' >>$@
 	find books/textbook -name "*.html" | \
